Bug 470468 - Plymouth keeps running if X fails to start
Plymouth keeps running if X fails to start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 06:17 EST by Martin Klapetek
Modified: 2009-12-18 01:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:46:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Klapetek 2008-11-07 06:17:48 EST
Description of problem:
When I have some errors in xorg.conf because of which the X won't start, the plymouth won't shut down (nor even notifies the user) and just keeps running forever with progressbar at 100% and active animations.

Version-Release number of selected component (if applicable):
plymouth-0.6.0-0.2008.10.30.4.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Make some mess in xorg.conf so the X won't start
2. Restart computer with plymouth enabled (vga=... kernel param)
  
Actual results:
Plymouth just keeps running forever, progressbar stops at 100%, animations are animating and nothing else is happening

Expected results:
Somehow notify the user, that the X failed to start, either show him the X log, or switch to console login or anything else...

Additional info:
I'm using Fedora 10 Preview
Comment 1 Martin Klapetek 2008-11-07 11:33:51 EST
I've made a small mistake in the problem description, actually the animations do not go on forever, they stop when the progress bar reaches its end.
Comment 2 Ray Strode [halfline] 2008-11-11 11:10:38 EST
plymouth quits before X tries to start.  If plymouth is still animating then it means upstart never tried to start X.
Comment 3 Ray Strode [halfline] 2008-11-11 11:12:20 EST
I'm thinking you're two problems are related, so I'm going to dupe this one to the other one.

*** This bug has been marked as a duplicate of bug 470471 ***
Comment 4 Ray Strode [halfline] 2008-11-11 12:19:37 EST
reopening because of bug 470471 comment 11
Comment 5 Craig Beal 2008-11-12 13:54:21 EST
I think I have the same or a related bug.  I'm running a dual-core dell pentium D with an ATI video card (R300 I believe).  I used the netinstall disk to upgrade a working F9 install to F10 preview.  Plymouth works AOK out of the box, but stalls at 100% progressbar.  The animations stop and the system is hung.  If I pass 'nomodeset', it drops into X with gdm. However, rendering of text is messed up once in. Portions of text in a variety of applications (terminal, web browser, etc.) just disappear.  I assumed that this was because of a problem with the way the graphics card is being initialized, but I realized it could be something else too.
Comment 6 Bug Zapper 2008-11-25 23:57:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Marc Schwartz 2008-12-09 10:47:42 EST
Not sure if this is related, but noted this behavior with today's kernel update.

I have an nVidia GPU and I use the nVidia installer, rather than the Livna/RPMFusion RPMs.

Typically, when booting to a new kernel, X will of course fail, until the nVidia driver is installed.

In such a case, the graphical boot process would "gracefully" fail and leave me at a text mode console, where I could login as root, re-install the nVidia driver and then run 'init 5' to get back into X.

After today's kernel update, Plymouth seems to just leave me at a black screen after X fails to start.  I can type letters at the screen, but to no avail. There is no login prompt, etc.

If this behavior is not related, let me know and I will file a separate bug.
Comment 8 Bug Zapper 2009-11-18 03:46:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:46:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.